import { Enabled, Info, Organized } from '@yukawa/chain-base-angular-domain';
/**
*	@generator rest2ts
*	javaType: inc.yukawa.chain.security.domain.Account <br/>
*/
export interface Account {
    credentials?: Credentials;
    details?: {
        [key: string]: Object;
    };
    roleContexts?: RoleContext[];
    /**
    *	@deprecated
    */
    roles?: string[];
    status?: AccountStatus;
}
/**
*	@generator rest2ts
*	javaType: inc.yukawa.chain.security.domain.AccountStatus <br/>
*/
export interface AccountStatus extends Enabled {
    accountNonExpired?: boolean;
    accountNonLocked?: boolean;
    credentialsNonExpired?: boolean;
    enabled?: boolean;
}
/**
*	@generator rest2ts
*	javaType: inc.yukawa.chain.security.domain.Credentials <br/>
*/
export interface Credentials extends Organized {
    /**
    *	@example yuk
    */
    orgId?: string;
    /**
    *	@example admin
    */
    password?: string;
    /**
    *	@example admin
    */
    username?: string;
}
/**
*	@generator rest2ts
*	javaType: inc.yukawa.chain.security.domain.GroupContext <br/>
*/
export interface GroupContext {
    groups?: string[];
    orgId?: string;
}
/**
*	@generator rest2ts
*	javaType: inc.yukawa.chain.security.domain.RoleContext <br/>
*/
export interface RoleContext {
    orgId?: string;
    roles?: string[];
}
/**
*	@generator rest2ts
*	javaType: inc.yukawa.chain.security.domain.RoleInfo <br/>
*/
export interface RoleInfo extends Info {
    /**
    *	@example main
    */
    scope?: string;
}
/**
*	@generator rest2ts
*	javaType: inc.yukawa.chain.security.domain.TokenRequest <br/>
*/
export interface TokenRequest {
    orgId?: string;
    roles?: string[];
    /**
    *	@example admin
    */
    username?: string;
}
